/*
 * Class SEQUENCE [INTEGER_64]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1841 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1841 [] = {0xFF01,1551,1840,848,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1841 [] = {0xFF01,1840,848,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1841 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1841 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1841 [] = {0xFF01,1840,848,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1841 [] = {0xFF01,1840,848,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1841 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1841 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1841 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1841 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1841 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1841 [] = {1840,848,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1841 [] = {0xFF01,1840,848,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1841 [] = {0xFF01,1824,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1841 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_1841 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_1841 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_1841 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_1841[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1841), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1841), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1841), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1841), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1841), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1841), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1841), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1841), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1841), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1841), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1841), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1841), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1841), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1841), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8839, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9215, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8633, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8634, 0},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8635, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8636, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8637, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1841), 8850, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1841), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8840, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8965, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8842, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_1841), 8843, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8844, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_1841), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8964, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8846, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8847, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8848, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8849, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9030, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9284, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9031, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9285, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9286, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_1841), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9280, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9281, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9089, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8842, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8841, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9282, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9283, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
};
void Init1841(void)
{
	IDSC(desc_1841, 0, 1840);
	IDSC(desc_1841 + 1, 1, 1840);
	IDSC(desc_1841 + 32, 1134, 1840);
	IDSC(desc_1841 + 41, 1444, 1840);
	IDSC(desc_1841 + 50, 1534, 1840);
	IDSC(desc_1841 + 57, 1135, 1840);
	IDSC(desc_1841 + 66, 1060, 1840);
	IDSC(desc_1841 + 72, 778, 1840);
	IDSC(desc_1841 + 73, 1245, 1840);
	IDSC(desc_1841 + 76, 387, 1840);
	IDSC(desc_1841 + 78, 554, 1840);
	IDSC(desc_1841 + 79, 878, 1840);
}


#ifdef __cplusplus
}
#endif
